<?php
if ((isset($detjmediasi)) and (!empty($detjmediasi)) and ($detjmediasi!='')){
	foreach ($detjmediasi as $row){
?>
<div class="centering" style="width:800px;margin-top: 1%;">
<div id='tunda_jadwal_mediasi' style="border: 1px solid #ffffff;">
	<div class="detil" style="padding: 4px;background-color: white;">
		<form id="frm_tunda_jadwal_mediasi" style="padding: 4px;background:white;margin:0;" method="post" action="<?php echo base_url().'detil_pk/validateTunda';?>">
			<table id="tableDetilPerkara" style="font-size:14px;">
				<col width="20%">
				<col width="80%">
				<tbody>
					<tr>
						<td colspan="2" style="background:white;border:0px;font-size: 20px;color: #648C03;" align="center">Penundaan - Jadwal Mediasi</td>
					</tr>
					<tr>
						<td colspan="2" style="color:white;">Info Jadwal Mediasi Sebelumnya</td>
					</tr>
					<tr>
						<td>Tanggal</td>
						<td><?php 
							echo $this->tanggalhelper->convertDayDate($row->tanggal_mediasi);
							echo "<input type='hidden' name='tglmediasisblm' id='tglmediasisblm' value='".$this->tanggalhelper->convertToInputDate($row->tanggal_mediasi)."'>";
							?>
						</td>
					</tr>
					<tr>
						<td>Tempat</td>
						<td style="padding:0px;padding-left:5px;">
						<?php 
						echo "$row->tempat";
						echo "<input type='hidden' name='tempatsblm' id='tempatsblm' value='".$row->tempat."'>";
						?>
						</td>
					</tr>

					<tr>
						<td colspan="2" style="color:white;">Jadwal Mediasi Berikutnya</td>
					</tr>

					<tr>
						<td>Tanggal<span style="color:red">*</span></td>
						<td><input type="text" id="tgl_mediasi" name="tgl_mediasi" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun"></td>
					</tr>
					<tr>
						<td>Tempat<span style="color:red">*</span></td>
						<td style="padding:0px;padding-left:5px;">
							<textarea name="tempat" id="tempat" maxlength="500" class="standard-input" style="margin: 0px; width: 610px; height: 100px;resize: none;" placeholder="Tuliskan tempat pelaksanaan mediasi dengan lengkap dan jelas"></textarea>
						</td>
					</tr>
					<tr>
						<td colspan="2" style="background:white;border:0px;" align="center">
							<input type="hidden" id='curr_date' value="<?php echo $curr_date;?>">
							<input type="hidden" name="enc" id="enc" value="<?php echo $enc; ?>">
							<input type="hidden" name="encmediasi" id="enc" value="<?php echo $encmediasi; ?>">
							<input type="hidden" name="encjadwalmediasi" id="enc" value="<?php echo $encjadwalmediasi; ?>">
							<input type="button" id='close_tunda_jadwal_mediasi' value="Kembali" class="btn">
							<input type="submit" id="simpan" value="Simpan" class="btn">
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>
</div>
<?php
}
}
?>
<script type="text/javascript">
$('#close_tunda_jadwal_mediasi').closingFormWin();
$('#frm_tunda_jadwal_mediasi').SubmitHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#frm_tunda_jadwal_mediasi',
	clicked:1,
	btnClicked:'#close_tunda_jadwal_mediasi',
	whenStatus:1,	
});

$('#tgl_mediasi').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var error = 0;
				
				var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");
				var tanggal_sidang = $('#tglmediasisblm').val();
				var tmp3 = tanggal_sidang.split("-");
				
				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
					error = 1
				}
				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() <= new Date(tmp3[0]+"-"+tmp3[1]+"-"+tmp3[2]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Tanggal Sebelum Atau Tepat Pada Tanggal Mediasi Sebelumnya';
					error = 1
				}
				
				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
        	}
        	
      	});
$('#tgl_mediasi').ValidateDateInput();
</script>